dbXML API

## org.dbxml.core
Class Database

    java.lang.Object
      |
      +--org.dbxml.core.CollectionManager
            |
            +--org.dbxml.core.Collection
                  |
                  +--org.dbxml.core.Database

All Implemented Interfaces:
  org.dbxml.server.Configurable, DBObject, org.dbxml.server.Disposable, org.dbxml.server.KernelAccess, org.dbxml.server.Named

public final class Database
extends Collection
implements org.dbxml.server.Named, org.dbxml.server.KernelAccess

Database is the primary container for the dbXML Database Engine.

Constructor Summary
`Database()`

Method Summary
`Database` `getDatabase()` getDatabase returns the Database owner for this Collection.
`static Database` `getDatabase(java.lang.String name)`
`DocumentCache` `getDocumentCache()` getDocumentCache returns the Database-level Document Cache.
`org.dbxml.server.Kernel` `getKernel()`
`QueryEngine` `getQueryEngine()` getQueryEngine returns a reference to the Database's current operating QueryEngine implementation.
`DBSecurityManager` `getSecurityManager()` Returns the security manager instance for this Database.
`SystemCollection` `getSystemCollection()` getSystemCollection returns the System Collection.
`URIMapper` `getURIMapper()` getURIMapper returns a pooled URIMapper instance.
`URIMapper` `getURIMapper(java.lang.String uri)` getURIMapper returns a pooled URIMapper instance.
`static java.lang.String[]` `listDatabases()`
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `setKernel(org.dbxml.server.Kernel kernel)`

Methods inherited from class org.dbxml.core.Collection

`close, create, createIndexer, createNewOID, createXMLObject, drop, dropIndexer, dropXMLObject, exists, flushSymbolTable, getCanonicalDocumentName, getCanonicalName, getCollectionRoot, getContainer, getDocument, getDocumentCount, getDocumentSet, getFiler, getIndexer, getIndexManager, getName, getObject, getParentCollection, getSymbols, getXMLObject, getXMLObjectManager, insertDocument, insertDocument, insertObject, insertObject, isOpened, listDocuments, listIndexers, listXMLObjects, open, queryCollection, queryDocument, remove, setDocument, setObject`

Methods inherited from class org.dbxml.core.CollectionManager
`createCollection, dispose, dropCollection, getCollection, getConfig, listCollections`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.dbxml.server.Named
`getName`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig`

Constructor Detail

### Database

    public Database()

Method Detail

### getDatabase

    public static Database getDatabase(java.lang.String name)

### listDatabases

    public static java.lang.String[] listDatabases()

### setKernel

    public void setKernel(org.dbxml.server.Kernel kernel)

  Specified by:
    `setKernel` in interface `org.dbxml.server.KernelAccess`

### getKernel

    public org.dbxml.server.Kernel getKernel()

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)

  Overrides:
    `setConfig` in class `Collection`

### getSystemCollection

    public SystemCollection getSystemCollection()

  Description copied from class: `Collection`
  getSystemCollection returns the System Collection.
  Overrides:
    `getSystemCollection` in class `Collection`
  Following copied from class: `org.dbxml.core.Collection`
  Returns:
    The System Collection

### getDatabase

    public Database getDatabase()

  Description copied from class: `Collection`
  getDatabase returns the Database owner for this Collection.
  Overrides:
    `getDatabase` in class `Collection`
  Following copied from class: `org.dbxml.core.Collection`
  Returns:
    The Database

### getURIMapper

    public URIMapper getURIMapper()

  getURIMapper returns a pooled URIMapper instance.
  Returns:
    A Pooled URIMapper

### getURIMapper

    public URIMapper getURIMapper(java.lang.String uri)
                           throws DBException

  getURIMapper returns a pooled URIMapper instance.
  Parameters:
    `uri` - The URI to resolve
  Returns:
    A Pooled (and resolved) URIMapper

### getDocumentCache

    public DocumentCache getDocumentCache()

  getDocumentCache returns the Database-level Document Cache.
  Returns:
    The DocumentCache

### getQueryEngine

    public QueryEngine getQueryEngine()

  getQueryEngine returns a reference to the Database's current operating QueryEngine implementation.
  Overrides:
    `getQueryEngine` in class `Collection`
  Returns:
    The QueryEngine instance

### getSecurityManager

    public DBSecurityManager getSecurityManager()

  Returns the security manager instance for this Database.
  Returns:
    The security manager

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved